Neonode zForce(TM) SDK

- Main Page
- Modules
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Enumerations | Functions
Asn1Protocol.h File Reference

Implementation of Neonode's ASN.1 based protocol. More...

`#include <Protocol.h>`
Include dependency graph for Asn1Protocol.h:

Go to the source code of this file.

## Classes
struct | Asn1Protocol
| This structure represents the ASN.1 protocol class. More...

## Typedefs
typedef enum Asn1InitializationStatus | Asn1InitializationStatus
typedef struct Asn1Protocol | Asn1Protocol

## Enumerations
enum | Asn1InitializationStatus { Asn1Uninitialized = 0, Asn1Initialized }
| Enum describing if initialization messages has been sent and received. More...

## Functions
DLLINTERNAL bool | Asn1Protocol_Initialize (void)
| Adds the ASN.1 Protocol to the ProtocolTable. More...

## Detailed Description

Implementation of Neonode's ASN.1 based protocol.

Copyright
  COPYRIGHT NOTICE: (c) 2017-2020 Neonode Technologies AB. All rights reserved.

## Typedef Documentation

typedef enum Asn1InitializationStatus Asn1InitializationStatus

See also
  Asn1InitializationStatus

typedef struct Asn1Protocol Asn1Protocol

See also
  Asn1Protocol

## Enumeration Type Documentation

enum Asn1InitializationStatus

Enum describing if initialization messages has been sent and received.

Enumerator
Asn1Uninitialized | Initialization sequence not completed.
Asn1Initialized | Initialization sequence completed.

## Function Documentation

DLLINTERNAL bool Asn1Protocol_Initialize | ( | void |  | ) |

Adds the ASN.1 Protocol to the ProtocolTable.

Upon error the errno variable is set as follows:

- EALREADYADDED - The ASN.1 protocol has already been added.
- EOUTOFMEMORY - The memory used to store protocol details has been exhausted.
- EMUTEXLOCKFAILED - We couldn't lock a mutex we need for an internal critical section. This should not happen.
- EBADMUTEX - We tried to use a mutex internally but it wasn't a valid mutex. This should not happen.
- EALREADYINITIALIZED - Protocol already initialized.

Returns
  True upon success, otherwise return false in which case see errno.